# Add the local directory to the library path
libdir = File.dirname(__FILE__)
$LOAD_PATH.unshift(libdir) unless $LOAD_PATH.include?(libdir)
require 'LuxSciConfig'

# GET the profile for a user and save it as json
user='someuser@luxsci.com'
pass=nil

begin
  url = LuxSci::API::URI("/user/%s/profile" % user)
  response = LuxSci::API::sign(user,pass) {
    RestClient.get url
  }
  print "Response: %s\n" % response

  payload = LuxSci::Payload.from_json(response)
  payload.save_json("profile.json")

rescue RestClient::Exception => e
  print "Got exception with status: %d\n" % e.response.code
  print "%s\n" % e.response
end
